Subject: banana plantation,Belize

From: [email-masked] (John Dennis)
Date: 21 Oct 1996 02:24:09 GMT

Hi, I'm currently doing due diligence preparatory to purchasing a banana 
plantation in southern Belize were rainfall is about 3500 mm per yr and labor 
and energy cost more than in many other parts of Central America.  Does anyone 
 know of any centers of expertise on banana production that I could contact?

John